<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__bcs__char__value__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_bcs_char_value_t</compoundname>
    <includes local="no">cy_ble_bcs.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__bcs__char__value__t_1a954d69792bfab5748a27e85d9338b7d6" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_bcs_char_value_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Peer Device Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bcs.h" bodystart="55" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bcs.h" line="55" />
      </memberdef>
      <memberdef id="structcy__stc__ble__bcs__char__value__t_1a78d510ccaca5d4cbf83f9da779359bfa" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___b_c_s__definitions_1ga6ca7f1f0e332c7464fab8ae62fcf775f">cy_en_ble_bcs_char_index_t</ref></type>
        <definition>cy_en_ble_bcs_char_index_t cy_stc_ble_bcs_char_value_t::charIndex</definition>
        <argsstring />
        <name>charIndex</name>
        <briefdescription>
<para>Index of Service Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bcs.h" bodystart="56" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bcs.h" line="56" />
      </memberdef>
      <memberdef id="structcy__stc__ble__bcs__char__value__t_1a17055e65622554e5fd5dd1dfd6d79901" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref> *</type>
        <definition>cy_stc_ble_gatt_value_t* cy_stc_ble_bcs_char_value_t::value</definition>
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Characteristic Value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bcs.h" bodystart="57" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bcs.h" line="57" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>BCS Characteristic Value parameter structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="132">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="131">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
      <node id="130">
        <label>cy_stc_ble_bcs_char_value_t</label>
        <link refid="structcy__stc__ble__bcs__char__value__t" />
        <childnode refid="131" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
        <childnode refid="132" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="58" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bcs.h" bodystart="53" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bcs.h" line="54" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__bcs__char__value__t_1a78d510ccaca5d4cbf83f9da779359bfa" virt="non-virtual"><scope>cy_stc_ble_bcs_char_value_t</scope><name>charIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__bcs__char__value__t_1a954d69792bfab5748a27e85d9338b7d6" virt="non-virtual"><scope>cy_stc_ble_bcs_char_value_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__bcs__char__value__t_1a17055e65622554e5fd5dd1dfd6d79901" virt="non-virtual"><scope>cy_stc_ble_bcs_char_value_t</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>